# Generated by Django 4.2.6 on 2023-11-21 14:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='StreamingChannel',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True, primary_key=True,
                        serialize=False, verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True, primary_key=True,
                        serialize=False, verbose_name='ID'
                    )
                ),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('streaming_channel',
                 models.ForeignKey(
                     on_delete=django.db.models.deletion.CASCADE,
                     related_name='streaming_channels',
                     to='movies.streamingchannel'
                    )
                 ),
            ],
        ),
    ]
